Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface PointType

All Known Implementing Classes:
  PointTypeImpl

    public interface PointType

Used to specify a single value as part of describing the location of content within the container; the unit attribute describes the unit of measure (e.g., value = "xxix", NEEDS FIXING unit = "page"). Java content class for pointType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 666)

     <complexType name="pointType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="unit" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="value" use="required" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getUnit()` Gets the value of the unit property.
`java.lang.String` | `getValue()` Gets the value of the value property.
`void` | `setUnit(java.lang.String value)` Sets the value of the unit property.
`void` | `setValue(java.lang.String value)` Sets the value of the value property.

Method Detail

### getValue

    java.lang.String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getUnit

    java.lang.String getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `String`

### setUnit

    void setUnit(java.lang.String value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD